<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>BlockArrayClipboard (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BlockArrayClipboard (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html" target="_top">Frames</a></li>
<li><a href="BlockArrayClipboard.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent.clipboard</div>
<h2 title="Class BlockArrayClipboard" class="title">Class BlockArrayClipboard</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extent.clipboard.BlockArrayClipboard</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a>, <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BlockArrayClipboard</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a></pre>
<div class="block">Stores block data as a multi-dimensional array of <a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block"><code>BaseBlock</code></a>s and
 other data as lists or maps.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#BlockArrayClipboard-com.sk89q.worldedit.regions.Region-">BlockArrayClipboard</a></span>(<a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#commit--">commit</a></span>()</code>
<div class="block">Return an <a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation"><code>Operation</code></a> that should be called to tie up loose ends
 (such as to commit changes in a buffer).</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a></span>(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;location,
            <a href="../../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>&nbsp;entity)</code>
<div class="block">Create an entity at the given location.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position)</code>
<div class="block">Get the biome at the given location.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get a snapshot of the block at the given location.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getDimensions--">getDimensions</a></span>()</code>
<div class="block">Get the dimensions of the copy, which is at minimum (1, 1, 1).</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;? extends <a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getEntities--">getEntities</a></span>()</code>
<div class="block">Get a list of all entities.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.List&lt;? extends <a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a></span>(<a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Get a list of all entities within the given region.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get a immutable snapshot of the block at the given location.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getMaximumPoint--">getMaximumPoint</a></span>()</code>
<div class="block">Get the maximum point in the extent.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getMinimumPoint--">getMinimumPoint</a></span>()</code>
<div class="block">Get the minimum point in the extent.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getOrigin--">getOrigin</a></span>()</code>
<div class="block">Get the origin point from which the copy was made from.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#getRegion--">getRegion</a></span>()</code>
<div class="block">Get the bounding region of this extent.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#hasBiomes--">hasBiomes</a></span>()</code>
<div class="block">Returns true if the clipboard has biome data.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position,
        <a href="../../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;biome)</code>
<div class="block">Set the biome.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>&lt;B extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-">setBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
        B&nbsp;block)</code>
<div class="block">Change the block at the given location to the given block.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html#setOrigin-com.sk89q.worldedit.math.BlockVector3-">setOrigin</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;origin)</code>
<div class="block">Set the origin point from which the copy was made from.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BlockArrayClipboard-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BlockArrayClipboard</h4>
<pre>public&nbsp;BlockArrayClipboard(<a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block">Create a new instance.

 <p>The origin will be placed at the region's lowest minimum point.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the bounding region</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRegion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegion</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;getRegion()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#getRegion--">Clipboard</a></code></span></div>
<div class="block">Get the bounding region of this extent.

 <p>Implementations should return a copy of the region.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#getRegion--">getRegion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the bounding region</dd>
</dl>
</li>
</ul>
<a name="getOrigin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrigin</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getOrigin()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#getOrigin--">Clipboard</a></code></span></div>
<div class="block">Get the origin point from which the copy was made from.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#getOrigin--">getOrigin</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the origin</dd>
</dl>
</li>
</ul>
<a name="setOrigin-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOrigin</h4>
<pre>public&nbsp;void&nbsp;setOrigin(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;origin)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#setOrigin-com.sk89q.worldedit.math.BlockVector3-">Clipboard</a></code></span></div>
<div class="block">Set the origin point from which the copy was made from.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#setOrigin-com.sk89q.worldedit.math.BlockVector3-">setOrigin</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>origin</code> - the origin</dd>
</dl>
</li>
</ul>
<a name="getDimensions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDimensions</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getDimensions()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#getDimensions--">Clipboard</a></code></span></div>
<div class="block">Get the dimensions of the copy, which is at minimum (1, 1, 1).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#getDimensions--">getDimensions</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the dimensions</dd>
</dl>
</li>
</ul>
<a name="getMinimumPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimumPoint</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getMinimumPoint()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getMinimumPoint--">Extent</a></code></span></div>
<div class="block">Get the minimum point in the extent.

 <p>If the extent is unbounded, then a large (negative) value may
 be returned.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getMinimumPoint--">getMinimumPoint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the minimum point</dd>
</dl>
</li>
</ul>
<a name="getMaximumPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumPoint</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getMaximumPoint()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getMaximumPoint--">Extent</a></code></span></div>
<div class="block">Get the maximum point in the extent.

 <p>If the extent is unbounded, then a large (positive) value may
 be returned.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getMaximumPoint--">getMaximumPoint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the maximum point</dd>
</dl>
</li>
</ul>
<a name="getEntities-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntities</h4>
<pre>public&nbsp;java.util.List&lt;? extends <a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;&nbsp;getEntities(<a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getEntities-com.sk89q.worldedit.regions.Region-">Extent</a></code></span></div>
<div class="block">Get a list of all entities within the given region.

 <p>If the extent is not wholly loaded (i.e. a world being simulated in the
 game will not have every chunk loaded), then this list may not be
 incomplete.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region in which entities must be contained</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of entities</dd>
</dl>
</li>
</ul>
<a name="getEntities--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntities</h4>
<pre>public&nbsp;java.util.List&lt;? extends <a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;&nbsp;getEntities()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getEntities--">Extent</a></code></span></div>
<div class="block">Get a list of all entities.

 <p>If the extent is not wholly loaded (i.e. a world being simulated in the
 game will not have every chunk loaded), then this list may not be
 incomplete.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#getEntities--">getEntities</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of entities</dd>
</dl>
</li>
</ul>
<a name="createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEntity</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&nbsp;createEntity(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;location,
                                      <a href="../../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>&nbsp;entity)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">Extent</a></code></span></div>
<div class="block">Create an entity at the given location.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>location</code> - the location</dd>
<dd><code>entity</code> - the entity</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to the created entity, or null if the entity could not be created</dd>
</dl>
</li>
</ul>
<a name="getBlock-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlock</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;getBlock(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">InputExtent</a></code></span></div>
<div class="block">Get a snapshot of the block at the given location.

 <p>If the given position is out of the bounds of the extent, then the behavior
 is undefined (an air block could be returned). However, <code>null</code>
 should <strong>not</strong> be returned.</p>

 <p>The returned block is immutable and is a snapshot of the block at the time
 of call. It has no position attached to it, so it could be reused in
 <a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern"><code>Pattern</code></a>s and so on.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block</dd>
</dl>
</li>
</ul>
<a name="getFullBlock-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFullBlock</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;getFullBlock(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">InputExtent</a></code></span></div>
<div class="block">Get a immutable snapshot of the block at the given location.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block</dd>
</dl>
</li>
</ul>
<a name="setBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a><a name="setBlock-com.sk89q.worldedit.math.BlockVector3-B-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlock</h4>
<pre>public&nbsp;&lt;B extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;&nbsp;boolean&nbsp;setBlock(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                                                        B&nbsp;block)
                                                 throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">OutputExtent</a></code></span></div>
<div class="block">Change the block at the given location to the given block. The operation may
 not tie the given <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> to the world, so future changes to the
 <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> do not affect the world until this method is called again.

 <p>The return value of this method indicates whether the change was probably
 successful. It may not be successful if, for example, the location is out
 of the bounds of the extent. It may be unsuccessful if the block passed
 is the same as the one in the world. However, the return value is only an
 estimation and it may be incorrect, but it could be used to count, for
 example, the approximate number of changes.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dd><code>block</code> - block to set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully set (return value may not be accurate)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - thrown on an error</dd>
</dl>
</li>
</ul>
<a name="hasBiomes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasBiomes</h4>
<pre>public&nbsp;boolean&nbsp;hasBiomes()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#hasBiomes--">Clipboard</a></code></span></div>
<div class="block">Returns true if the clipboard has biome data. This can be checked since <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-"><code>InputExtent.getBiome(BlockVector2)</code></a>
 strongly suggests returning <code>com.sk89q.worldedit.world.biome.BiomeTypes.OCEAN</code> instead of <code>null</code>
 if biomes aren't present. However, it might not be desired to set areas to ocean if the clipboard is defaulting
 to ocean, instead of having biomes explicitly set.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html#hasBiomes--">hasBiomes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the clipboard has biome data set</dd>
</dl>
</li>
</ul>
<a name="getBiome-com.sk89q.worldedit.math.BlockVector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBiome</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;getBiome(<a href="../../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">InputExtent</a></code></span></div>
<div class="block">Get the biome at the given location.

 <p>If there is no biome available, then the ocean biome should be
 returned.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the (x, z) location to check the biome at</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the biome at the location</dd>
</dl>
</li>
</ul>
<a name="setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBiome</h4>
<pre>public&nbsp;boolean&nbsp;setBiome(<a href="../../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position,
                        <a href="../../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;biome)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">OutputExtent</a></code></span></div>
<div class="block">Set the biome.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the (x, z) location to set the biome at</dd>
<dd><code>biome</code> - the biome to set to</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the biome was successfully set (return value may not be accurate)</dd>
</dl>
</li>
</ul>
<a name="commit--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>commit</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&nbsp;commit()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#commit--">OutputExtent</a></code></span></div>
<div class="block">Return an <a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation"><code>Operation</code></a> that should be called to tie up loose ends
 (such as to commit changes in a buffer).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#commit--">commit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an operation or null if there is none to execute</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html" target="_top">Frames</a></li>
<li><a href="BlockArrayClipboard.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
